CVE-2019-19722

NameCVE-2019-19722
DescriptionIn Dovecot before 2.3.9.2, an attacker can crash a push-notification driver with a crafted email when push notifications are used, because of a NULL Pointer Dereference. The email must use a group address as either the sender or the recipient.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
dovecot (PTS)jessie1:2.2.13-12~deb8u4fixed
jessie (security)1:2.2.13-12~deb8u7fixed
stretch (security), stretch1:2.2.27-3+deb9u5fixed
buster, buster (security)1:2.3.4.1-5+deb10u1fixed
bullseye, sid1:2.3.7.2-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
dovecotsource(unstable)(not affected)

Notes

- dovecot <not-affected> (Only affects 2.3.9)
https://www.openwall.com/lists/oss-security/2019/12/13/2
https://github.com/dovecot/core/commit/1307766b6f5d97341a47376657d342bcefd10f1b
https://github.com/dovecot/core/commit/393a8cabf4dad893bf2ec60bf96cfde7a0c58432

Search for package or bug name: Reporting problems